package com.ruoyi.bst.agreement.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 协议对象 bst_agreement
 *
 * @author ruoyi
 * @date 2025-04-07
 */
@Data
public class Agreement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "商户ID")
    @ApiModelProperty("商户ID")
    private Long storeId;

    @Excel(name = "运营区ID")
    @ApiModelProperty("运营区ID")
    private Long areaId;

    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String title;

    @Excel(name = "简介")
    @ApiModelProperty("简介")
    private String brief;

    @Excel(name = "内容详情")
    @ApiModelProperty("内容详情")
    private String content;

    @Excel(name = "协议类型:0-公告 1-免责协议 2-安全协议")
    @ApiModelProperty("协议类型:0-公告 1-免责协议 2-安全协议")
    private String agreementType;

    @Excel(name = "展示时间")
    @ApiModelProperty("展示时间")
    private Integer duration;

}
