package com.ruoyi.bst.fault.domain;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class FaultQuery extends FaultVO {

    @ApiModelProperty("故障部位")
    private List<String> faultSiteList;

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;

}
