package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderEndDTO {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty("是否辅助还车（管理员还车）")
    private Boolean isAdmin;

    @ApiModelProperty("手机定位（经度）")
    private BigDecimal lon;

    @ApiModelProperty("手机定位（纬度）")
    private BigDecimal lat;

    @ApiModelProperty("结束订单原因")
    private String endReason;

    @ApiModelProperty("车辆图片")
    private String picture;
}
