package com.ruoyi.bst.mchApply.domain;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MchApplyQuery extends MchApply{

    @ApiModelProperty("创建时间范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("审核人名称")
    private String verifyName;

}
